%global packname RSQLite
%global packver 1.1
%global packrel 2

Name:             R-%{packname}
Version:          %{packver}.%{packrel}
Release:          2%{?dist}
Source0:          ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{packver}-%{packrel}.tar.gz
License:          LGPLv2+
URL:              http://cran.r-project.org/web/packages/RSQLite/index.html
Group:            Applications/Engineering
Summary:          SQLite database interface for R
BuildRequires:    R-devel >= 3.4.0, tetex-latex, sqlite-devel, R-DBI >= 0.4.9, R-memoise, R-methods
BuildRequires:    R-BH-devel, R-plogr-devel, R-Rcpp-devel >= 0.12.7
Requires:         R-DBI >= 0.4.9, R-core >= 3.4.0, R-memoise, R-methods, R-Rcpp >= 0.12.7

%description
A SQLite database interface definition for communication between R and SQLite
 databases.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/R/library
%{_bindir}/R CMD INSTALL --configure-args="--with-sqlite-lib=%{_libdir} --with-sqlite-inc=%{_includedir}" \
-l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_libdir}/R/library/R.css
rm -rf $RPM_BUILD_ROOT%{_libdir}/R/library/%{packname}/INSTALL

# we really don't need these files. thanks though.
rm -rf $RPM_BUILD_ROOT%{_libdir}/R/library/%{packname}/include/

%check
# I hate CRAN dep creep
# %{_bindir}/R CMD check %{packname}

%files
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/NEWS.md
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/R/library/%{packname}/db
%{_libdir}/R/library/%{packname}/doc
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/html

%changelog
* Thu Jun  1 2017 Tom Callaway <spot@fedoraproject.org> - 1.1.2-2
- fix BR on R-Rcpp-devel

* Tue May 30 2017 Tom Callaway <spot@fedoraproject.org> - 1.1.2-1
- update to 1.1-2

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 24 2014 Tom Callaway <spot@fedoraproject.org> - 0.11.4-1
- update to 0.11.4

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 11 2013 Tom Callaway <spot@fedoraproject.org> - 0.11.2-1
- update to 0.11.2, rebuild for R3

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 09 2011 Tom Callaway <spot@fedoraproject.org> - 0.10.0-1
- update to 0.10.0

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 29 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.9.1-1
- update to 0.9-1

* Thu Jan 21 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.8.1-1
- update to 0.8-1
- cleanup package, fix FTBFS

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Nigel Jones <nigjones@redhat.com> - 0.7-3
- Update to 0.7-1

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Oct 24 2008 Nigel Jones <dev@nigelj.com> - 0.7-1
- Update to 0.7-0

* Thu Jun 26 2008 Nigel Jones <dev@nigelj.com> - 0.6-3
- Fix buildreqs

* Mon Jun 23 2008 Nigel Jones <dev@nigelj.com> - 0.6-2
- Update package summary/description
- Package Release '9'

* Tue Jun 10 2008 Nigel Jones <dev@nigelj.com> - 0.6-1
- Initial package
